BeakerDashboard (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class BeakerDashboard

- java.lang.Object
- - java.util.Observable
  - - com.twosigma.beakerx.jvm.object.BeakerDashboard

-     public class BeakerDashboard
      extends java.util.Observable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `BeakerDashboard.dashColumn`
    `class` | `BeakerDashboard.dashRow`
    `static class` | `BeakerDashboard.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<BeakerDashboard.dashRow>` | `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeakerDashboard()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRow(BeakerDashboard.dashRow o)`
    `void` | `clear()`
    `java.util.List<BeakerDashboard.dashRow>` | `getRows()`
    `java.lang.String` | `getTheClass()`
    `java.lang.String` | `getTheStyle()`
    `BeakerDashboard.dashColumn` | `newColumn(int w)`
    `BeakerDashboard.dashRow` | `newRow()`
    `void` | `redraw()`
    `void` | `setTheClass(java.lang.String s)`
    `void` | `setTheStyle(java.lang.String s)`

    - ### Methods inherited from class java.util.Observable

      `addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          public final java.util.List<BeakerDashboard.dashRow> content

  - ### Constructor Detail

    - #### BeakerDashboard

          public BeakerDashboard()

  - ### Method Detail

    - #### getTheStyle

          public java.lang.String getTheStyle()

    - #### getTheClass

          public java.lang.String getTheClass()

    - #### setTheStyle

          public void setTheStyle(java.lang.String s)

    - #### setTheClass

          public void setTheClass(java.lang.String s)

    - #### getRows

          public java.util.List<BeakerDashboard.dashRow> getRows()

    - #### addRow

          public void addRow(BeakerDashboard.dashRow o)

    - #### newRow

          public BeakerDashboard.dashRow newRow()

    - #### newColumn

          public BeakerDashboard.dashColumn newColumn(int w)

    - #### clear

          public void clear()

    - #### redraw

          public void redraw()